﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDMODE' AND KSQL_COL_NAME ='FBIDBUSTALK') 
 ALTER TABLE T_BID_BIDMODE ADD (FBIDBUSTALK CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK') 
 CREATE TABLE T_BID_BUSTALK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FENTITYTYPEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FJUDGENUM VARCHAR(30) DEFAULT ' ' NOT NULL,
FNEEDFLAGNEWSUPPLIER CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_FILE') 
 CREATE TABLE T_BID_BUSTALK_FILE (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ',
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FTYPE VARCHAR(100) DEFAULT ' ',
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_FILE_L') 
 CREATE TABLE T_BID_BUSTALK_FILE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_SECTION') 
 CREATE TABLE T_BID_BUSTALK_SECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT') 
 CREATE TABLE T_BID_BUSTALK_SUPPLIERENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FINVITER BIGINT DEFAULT 0 NOT NULL,
FBUSADDRESS VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTECHNOLOGY BIGINT DEFAULT 0 NOT NULL,
FBUSINESS BIGINT DEFAULT 0 NOT NULL,
FPURDETAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FJUDGEDATE DATETIME,
FJUDGERESULT VARCHAR(100) DEFAULT ' ' NOT NULL,
FDECLINE BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT '0' NOT NULL,
FNEWPRICE BIGINT DEFAULT 0 NOT NULL,
FPRICEVAT BIGINT DEFAULT 0 NOT NULL,
FBUSEXCEPTVAT BIGINT DEFAULT 0 NOT NULL,
FUPPRICE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT_L') 
 CREATE TABLE T_BID_BUSTALK_SUPPLIERENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIDER VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_SECTION_L') 
 CREATE TABLE T_BID_BUSTALK_SECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_BID_PROJECTMEMBERENTRY', 'FRESPBUSINESS', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDEVALUATION' AND KSQL_COL_NAME ='FEVALTYPE') 
 ALTER TABLE T_BID_BIDEVALUATION ADD (FEVALTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FOPENTYPE') 
 ALTER TABLE T_BID_BIDOPEN ADD (FOPENTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDBUSTALK') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDBUSTALK CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDBUSTALKDATE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDBUSTALKDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDOPENTYPE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDOPENTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QCLARIFYSECTION') 
 CREATE TABLE T_BID_QCLARIFYSECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QCLARIFYSECTION_L') 
 CREATE TABLE T_BID_QCLARIFYSECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QCLARIFYSUPDETAIL') 
 CREATE TABLE T_BID_QCLARIFYSUPDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURENTRYPROJECT BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QCLARIFYSUPDETAIL_L') 
 CREATE TABLE T_BID_QCLARIFYSUPDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT VARCHAR(255),
FMATERIALDES VARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QUESTIONCLARIFY') 
 CREATE TABLE T_BID_QUESTIONCLARIFY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCLARIFYDEADLINE DATETIME,
FCLARIFYTYPE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCLARIFYSUPPLIER VARCHAR(255) DEFAULT ' ' NOT NULL,
FTENDERPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICEVAT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTAXTENDERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESUBMISSTENDERS CHAR(1) DEFAULT '0' NOT NULL,
FREPLYSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL,
FOPENTYPE VARCHAR(60) DEFAULT ' ' NOT NULL,
FSUBMITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QUESTIONCLARIFY_L') 
 CREATE TABLE T_BID_QUESTIONCLARIFY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCLARIFYTHEME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLARIFICATION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FQUESTIONDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
