﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_SUPDETAIL') 
 CREATE TABLE T_BID_BUSTALK_SUPDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURENTRYPROJECT BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_SUPDETAIL_L') 
 CREATE TABLE T_BID_BUSTALK_SUPDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT VARCHAR(50),
FMATERIALDES VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ONLINEBIDEVAL_SEC') 
 CREATE TABLE T_BID_ONLINEBIDEVAL_SEC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ONLINEBIDEVAL_SEC_L') 
 CREATE TABLE T_BID_ONLINEBIDEVAL_SEC_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ONLINEBIDEVAL_SUP') 
 CREATE TABLE T_BID_ONLINEBIDEVAL_SUP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FTECHFILE BIGINT DEFAULT 0 NOT NULL,
FCOMFILE BIGINT DEFAULT 0 NOT NULL,
FTENDERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURDETAIL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ONLINEBIDEVAL_SUP_L') 
 CREATE TABLE T_BID_ONLINEBIDEVAL_SUP_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FILLUSTRATION NVARCHAR(1600) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FSUPPLIERLOOKSTATUS') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FSUPPLIERLOOKSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FSENDDATE') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FSENDDATE DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
