﻿/**Begin D:\PDM差异生成\PDM_UPGRADE\PDM1\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDDEC_BOTTOMENTRY') 
 CREATE TABLE T_BID_BIDDEC_BOTTOMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBOTPURENTRYPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBOTMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBOTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTCONTROLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTCONTROLVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTCTRLAMTEXCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTPURENTRYWORKLOAD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDDEC_BOTTOMENTRY_L') 
 CREATE TABLE T_BID_BIDDEC_BOTTOMENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBOTPURENTRYCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOTMATERIALDES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOTPURENTRYCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BOTTOM_MAKE') 
 CREATE TABLE T_BID_BOTTOM_MAKE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIDMODELID BIGINT DEFAULT 0 NOT NULL,
FDOCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEVALUATEDECIDEWAY VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIDBOTTOMMAKEDATE DATETIME,
FBIDBOTTOMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITYTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BOTTOM_MAKE_L') 
 CREATE TABLE T_BID_BOTTOM_MAKE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BOTTOM_PROJECTENTRY') 
 CREATE TABLE T_BID_BOTTOM_PROJECTENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,8) DEFAULT 0 NOT NULL,
FCONTROLAMOUNT DECIMAL(23,8) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,8) DEFAULT 0 NOT NULL,
FFINALAUDITAMOUNT DECIMAL(23,8) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BOTTOM_PROJECTENTRY_L') 
 CREATE TABLE T_BID_BOTTOM_PROJECTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT NVARCHAR(1000),
FMATERIALDES NVARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BOTTOM_SECTIONENTRY') 
 CREATE TABLE T_BID_BOTTOM_SECTIONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BOTTOM_SECTIONENTRY_L') 
 CREATE TABLE T_BID_BOTTOM_SECTIONENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DEC_BOTTOMSECTION') 
 CREATE TABLE T_BID_DEC_BOTTOMSECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBOTWORKLOAD INT DEFAULT 0 NOT NULL,
FBOTSECDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DEC_BOTTOMSECTION_L') 
 CREATE TABLE T_BID_DEC_BOTTOMSECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBOTSECTIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_DECISUPPLIERDETAIL' AND KSQL_COL_NAME ='FISSIGN') 
 ALTER TABLE T_BID_DECISUPPLIERDETAIL ADD (FISSIGN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_OPEN_BOTTOMENTRY') 
 CREATE TABLE T_BID_OPEN_BOTTOMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBOTPURENTRYPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBOTMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBOTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTCONTROLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTCONTROLVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTCTRLAMTEXCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTPURENTRYWORKLOAD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_OPEN_BOTTOMENTRY_L') 
 CREATE TABLE T_BID_OPEN_BOTTOMENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBOTPURENTRYCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOTMATERIALDES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOTPURENTRYCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_OPEN_BOTTOMSECTION') 
 CREATE TABLE T_BID_OPEN_BOTTOMSECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBOTWORKLOAD INT DEFAULT 0 NOT NULL,
FBOTSECDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_OPEN_BOTTOMSECTION_L') 
 CREATE TABLE T_BID_OPEN_BOTTOMSECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBOTSECTIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDBOTTOMMAKE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDBOTTOMMAKE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FCLARIFICAITON') 
 ALTER TABLE T_BID_PROJECT_A ADD (FCLARIFICAITON CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDBOTTOMMAKEDATE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDBOTTOMMAKEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FCLARIFICAITONDATE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FCLARIFICAITONDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLARIFICAITON') 
 CREATE TABLE T_BID_CLARIFICAITON (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIDMODELID BIGINT DEFAULT 0 NOT NULL,
FEVALUATEDECIDEWAYID BIGINT DEFAULT 0 NOT NULL,
FENTITYTYPEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLARIFICAITONTIME DATETIME,
FDOCTYPE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSETUPDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLARIFICAITON_L') 
 CREATE TABLE T_BID_CLARIFICAITON_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLARIFICAITONTHEME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLARIFICAITON_VIDEO') 
 CREATE TABLE T_BID_CLARIFICAITON_VIDEO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLARIFICAITON_VIDEO_L') 
 CREATE TABLE T_BID_CLARIFICAITON_VIDEO_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVIDEONAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FVIDEODESC NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLARIFICAITON_VIEW') 
 CREATE TABLE T_BID_CLARIFICAITON_VIEW (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FCONTACTPHONE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FVIEWDATE DATETIME,
FISDOWNLOAD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISVIEW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDURATION DECIMAL(10,2) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_CLARIFICAITON_VIEW_L') 
 CREATE TABLE T_BID_CLARIFICAITON_VIEW_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERCONTACT NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM差异生成\PDM_UPGRADE\PDM1\BID_table.sql **/
