-----------------------------------------------------------------------
-----------------供方入围消息预置添加模板场景--------------------------
-- number即场景编码一旦写入 调用消息接口中传入tplScene=number即可
-- entityNumber 为业务对象编码 用于场景分类
-----------------------------------------------------------------------


--发送入围的场景
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818921';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818921', 'success', 'bid_invitationsendmessage');
--发送未入围场景
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818922';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818922', 'fail', 'bid_invitationsendmessage');
--答疑场景
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818923';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818923', 'reco', 'bid_answerquestion_reco');
--分开开标
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818924';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818924', 'bidopen_split', 'bid_bidopen');
--质疑
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818925';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818925', 'query', 'bid_questionclarify');
--澄清
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818926';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818926', 'clear', 'ten_questionclarify');
--在线投标撤标
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818927';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818927', 'ten_bidding_withdraw', 'ten_bidding');
--投标详情撤标
DELETE FROM T_MSG_TPLSCENE WHERE fid = '533998856438818928';
INSERT INTO T_MSG_TPLSCENE (FID, fnumber, fentitynumber) VALUES ('533998856438818928', 'ten_mytender_withdraw', 'ten_mytender');



------------------------------------------------------------------------
-----------------------模板场景多语言-----------------------------------
------------------------------------------------------------------------

--发送入围场景多语言
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818901';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818901', '533998856438818921', 'zh_CN', '供方入围发送成功入围');
--发送未入围场景多语言
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818902';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818902', '533998856438818922', 'zh_CN', '供方入围发送未入围');
--答疑
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818903';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818903', '533998856438818923', 'zh_CN', '答疑');
--分开开标
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818904';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818904', '533998856438818924', 'zh_CN', '分开开标');
--质疑
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818905';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818905', '533998856438818925', 'zh_CN', '质疑');
--澄清
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818906';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818906', '533998856438818926', 'zh_CN', '澄清');
--在线投标撤标
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818907';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818907', '533998856438818927', 'zh_CN', '在线投标撤标');
--投标详情撤标
DELETE FROM T_MSG_TPLSCENE_L WHERE FPKID = '633998856438818908';
INSERT INTO T_MSG_TPLSCENE_L (FPKID, FID, FLocaleID, fname) VALUES ('633998856438818908', '533998856438818928', 'zh_CN', '投标详情撤标');

----------------------------------------------------------------------
-----------------------------预置消息模板-----------------------------
----------------------------------------------------------------------
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743209670646267904';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743209670646267904', 'message', 'sms', 'ten_bidding_withdraw', '您好，供应商{model.supplier.name}已撤销 <{model.bidproject.name}>投标内容。', 'ten_bidding', {ts'2019-10-23 10:23:33'}, {ts'2019-10-23 10:26:31'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743207407953484800';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743207407953484800', 'message', 'sms', 'success', '您好。您已成功进入<{model.projectname}>{model.section}的入围名单，请您密切关注后续发标信息。', 'bid_invitationsendmessage', {ts'2019-10-23 10:18:03'}, {ts'2019-10-23 10:20:27'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743208903633895424';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743208903633895424', 'message', 'sms', 'fail', '很遗憾，贵单位未进入<{model.projectname}>{model.section}的入围名单，请您继续关注其它招标信息。', 'bid_invitationsendmessage', {ts'2019-10-23 10:20:32'}, {ts'2019-10-23 10:23:25'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743210317676387328';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743210317676387328', 'message', 'sms', 'ten_mytender_withdraw', '您好，供应商{model.supplier.name}已撤销 <{model.bidproject.name}>投标内容。', 'ten_mytender', {ts'2019-10-23 10:24:59'}, {ts'2019-10-23 10:26:46'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743230560436067328';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743230560436067328', 'message', 'email', 'success', '{"emailTitle":"您好，您有一个<{model.projectname}>的入围结果通知，请点击查看详情。","emailContent":"<p>您好。您已成功进入&lt;{model.projectname}&gt;{model.section}的入围名单，请您密切关注后续发标信息。</p>"}', 'bid_invitationsendmessage', {ts'2019-10-23 11:05:06'}, {ts'2019-10-23 11:06:27'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743231097147588608';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743231097147588608', 'message', 'email', 'fail', '{"emailTitle":"您好，您有一个<{model.projectname}>的入围结果通知，请点击查看详情。","emailContent":"<p>很遗憾，贵单位未进入&lt;{model.projectname}&gt;{model.section}的入围名单，请您继续关注其它招标信息。</p>"}', 'bid_invitationsendmessage', {ts'2019-10-23 11:06:35'}, {ts'2019-10-23 11:07:31'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743231707594988544';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743231707594988544', 'message', 'email', 'ten_bidding_withdraw', '{"emailTitle":"您好，您有一条<{model.bidproject.name}>供应商撤标消息，请及时处理。   ","emailContent":"<p>您好，供应商{model.supplier.name}已撤销 &lt;{model.bidproject.name}&gt;投标内容。</p>"}', 'ten_bidding', {ts'2019-10-23 11:07:36'}, {ts'2019-10-23 11:08:43'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743232165227102208';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743232165227102208', 'message', 'email', 'ten_mytender_withdraw', '{"emailTitle":"您好，您有一条<{model.bidproject.name}>供应商撤标消息，请及时处理。   ","emailContent":"<p>您好，供应商{model.supplier.name}已撤销 &lt;{model.bidproject.name}&gt;投标内容。</p>"}', 'ten_mytender', {ts'2019-10-23 11:08:46'}, {ts'2019-10-23 11:09:38'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743232917106425856';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743232917106425856', 'message', 'sms', 'reco', '您好，您报名的<{model.bidproject.name}>有新的答疑澄清消息，请及时查看。', 'bid_answerquestion_reco', {ts'2019-10-23 11:09:47'}, {ts'2019-10-23 11:11:08'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '743233318744595456';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('743233318744595456', 'message', 'email', 'reco', '{"emailTitle":"您好，您有一条<{model.bidproject.name}>的答疑澄清消息，请及时查看。","emailContent":"<p>您好，您报名的&lt;{model.bidproject.name}&gt;有新的答疑澄清消息，请及时查看。</p>"}', 'bid_answerquestion_reco', {ts'2019-10-23 11:11:10'}, {ts'2019-10-23 11:11:55'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '747523886718934016';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('747523886718934016', 'message', 'sms', 'bidopen_split', '您好，您投标的<{model.bidproject.name}>{model.opentypedescription}已开标。', 'bid_bidopen', {ts'2019-10-29 09:13:28'}, {ts'2019-10-29 09:16:31'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '747525068472474624';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('747525068472474624', 'message', 'email', 'bidopen_split', '{"emailTitle":"您好，您有一条<{model.bidproject.name}>的开标消息，请及时查看。","emailContent":"<p>您好，您投标的&lt;{model.bidproject.name}&gt;{model.opentypedescription}已开标。</p>"}', 'bid_bidopen', {ts'2019-10-29 09:16:50'}, {ts'2019-10-29 09:18:52'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '747535330692848640';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('747535330692848640', 'message', 'sms', 'query', '您好，你投标的<{model.bidproject.name}>有新的待澄清消息，请及时处理。', 'bid_questionclarify', {ts'2019-10-29 09:37:59'}, {ts'2019-10-29 09:39:15'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '747535852330048512';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('747535852330048512', 'message', 'email', 'query', '{"emailTitle":"您好，您有一条<{model.bidproject.name}>的待澄清消息，请及时处理。    ","emailContent":"<p>您好，你投标的&lt;{model.bidproject.name}&gt;有新的待澄清消息，请及时处理。</p>"}', 'bid_questionclarify', {ts'2019-10-29 09:39:18'}, {ts'2019-10-29 09:40:17'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '747536980178394112';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('747536980178394112', 'message', 'sms', 'clear', '您好，供应商 {model.supplier}提交了 <{model.bidproject.name}>的问题澄清，请及时处理。 ', 'ten_questionclarify', {ts'2019-10-29 09:40:23'}, {ts'2019-10-29 09:42:32'});
DELETE FROM T_MSG_TEMPLATE WHERE FID = '747537567540336640';
INSERT INTO T_MSG_TEMPLATE (FID, FMSGTYPE, FMSGCHANNEL, FMSGSCENE, FMSGTEMPLATE, FMSGENTITY, FCREATEDATE, FMODIFYDATE) VALUES  ('747537567540336640', 'message', 'email', 'clear', '{"emailTitle":"您好，您有一条<{model.bidproject.name}>供应商澄清消息，请及时处理。   ","emailContent":"<p>您好，供应商 {model.supplier}提交了 &lt;{model.bidproject.name}&gt;的问题澄清，请及时处理。&nbsp;</p>"}', 'ten_questionclarify', {ts'2019-10-29 09:42:35'}, {ts'2019-10-29 09:43:42'});



-----------------------------------------------------------------------
------------------------------模板多语言-------------------------------
-----------------------------------------------------------------------

DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9M2NEJ=2SP';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9M2NEJ=2SP', '743207407953484800', 'zh_CN', '供方入围发送成功入围');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9MCJGXXZZ=';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9MCJGXXZZ=', '743208903633895424', 'zh_CN', '供方入围发送未入围');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9MI4G30DO0';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9MI4G30DO0', '743209670646267904', 'zh_CN', '在线投标撤标');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9MMVBG0DTP';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME)VALUES ('0A9MMVBG0DTP', '743210317676387328', 'zh_CN', '投标详情撤标');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9QEC639SKP';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9QEC639SKP', '743230560436067328', 'zh_CN', '供方入围发送成功入围');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9QI9PRB=YO';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9QI9PRB=YO', '743231097147588608', 'zh_CN', '供方入围发送未入围');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9QMQ6N7N+Y';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9QMQ6N7N+Y', '743231707594988544', 'zh_CN', '在线投标撤标');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9QQ18TP3CJ';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9QQ18TP3CJ', '743232165227102208', 'zh_CN', '投标详情撤标');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9QVIY9FIK5';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9QVIY9FIK5', '743232917106425856', 'zh_CN', '答疑');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0A9QYG1XT7PS';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0A9QYG1XT7PS', '743233318744595456', 'zh_CN', '答疑');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0AT=LRL9DO6R';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0AT=LRL9DO6R', '747523886718934016', 'zh_CN', '分开开标');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0AT=UCF82T0V';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0AT=UCF82T0V', '747525068472474624', 'zh_CN', '分开开标');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0ATBR4WNKUDB';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0ATBR4WNKUDB', '747535330692848640', 'zh_CN', '质疑');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0ATBUZ440Z32';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0ATBUZ440Z32', '747535852330048512', 'zh_CN', '质疑');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0ATC15NMW01T';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0ATC15NMW01T', '747536980178394112', 'zh_CN', '澄清');
DELETE FROM T_MSG_TEMPLATE_L WHERE FPKID = '0ATC5FKNXLLQ';
INSERT INTO T_MSG_TEMPLATE_L (FPKID, FID, FLOCALEID, FMSGSCENENAME) VALUES ('0ATC5FKNXLLQ', '747537567540336640', 'zh_CN', '澄清');





-----------------------------------------------------------------------
---------------------------模板与场景关联表----------------------------
-----------------------------------------------------------------------

-- 对应供方入围发送入围的模板场景  FID--模板ID  FBASEDATAID--场景ID
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743207407953477632';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743207407953477632', '743207407953484800', '533998856438818921');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743208903633902592';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743208903633902592', '743208903633895424', '533998856438818922');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743209670646275072';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743209670646275072', '743209670646267904', '533998856438818927');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743210317676380160';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743210317676380160', '743210317676387328', '533998856438818928');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743230560436060160';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743230560436060160', '743230560436067328', '533998856438818921');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743231097147595776';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743231097147595776', '743231097147588608', '533998856438818922');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743231707594981376';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743231707594981376', '743231707594988544', '533998856438818927');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743232165227109376';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743232165227109376', '743232165227102208', '533998856438818928');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743232917106433024';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743232917106433024', '743232917106425856', '533998856438818923');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '743233318752976896';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('743233318752976896', '743233318744595456', '533998856438818923');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '747523886718932992';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('747523886718932992', '747523886718934016', '533998856438818924');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '747525068472473600';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('747525068472473600', '747525068472474624', '533998856438818924');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '747535330701236224';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('747535330701236224', '747535330692848640', '533998856438818925');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '747535852330047488';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('747535852330047488', '747535852330048512', '533998856438818925');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '747536980178393088';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('747536980178393088', '747536980178394112', '533998856438818926');
DELETE FROM T_MSG_SELECTSCENE WHERE FPKID = '747537567540337664';
INSERT INTO T_MSG_SELECTSCENE (FPKID, FID, FBASEDATAID) VALUES ('747537567540337664', '747537567540336640', '533998856438818926');
