﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_BID_INVALIDSECTION', 'T_BID_INVALIDSECTION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_INVALIDENTRY_FID') CREATE INDEX IDX_BID_INVALIDENTRY_FID ON T_BID_INVALIDSECTION ( FID );


 EXEC P_ALTERPK 'PK_T_BID_INVALIDSECTION_L', 'T_BID_INVALIDSECTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_INVALIDENTRYL_FENTRYID') CREATE INDEX IDX_BID_INVALIDENTRYL_FENTRYID ON T_BID_INVALIDSECTION_L ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_INVALIDSUPPLIER_L', 'T_BID_INVALIDSUPPLIER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_INVALIDSUPL_FDETAILID') CREATE INDEX IDX_BID_INVALIDSUPL_FDETAILID ON T_BID_INVALIDSUPPLIER_L ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_BID_SUPPLIERINVALID', 'T_BID_SUPPLIERINVALID', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_SUPINVALID_FBILLNO') CREATE INDEX IDX_BID_SUPINVALID_FBILLNO ON T_BID_SUPPLIERINVALID ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_BID_INVALIDSUPPLIER', 'T_BID_INVALIDSUPPLIER', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_INVALIDSUP_FENTRYID') CREATE INDEX IDX_BID_INVALIDSUP_FENTRYID ON T_BID_INVALIDSUPPLIER ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_EVAL_TENDERENTRY', 'T_BID_EVAL_TENDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVALTENDER_FID') CREATE INDEX IDX_EVALTENDER_FID ON T_BID_EVAL_TENDERENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_BID_EVAL_TENDERENTRY_L', 'T_BID_EVAL_TENDERENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVALTENDER_FENTRYID') CREATE INDEX IDX_EVALTENDER_FENTRYID ON T_BID_EVAL_TENDERENTRY_L ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_EVALSUPPLIERDETAIL', 'T_BID_EVALSUPPLIERDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVALSUPPLIER_ID') CREATE INDEX IDX_EVALSUPPLIER_ID ON T_BID_EVALSUPPLIERDETAIL ( FEVALUATIONID );


 EXEC P_ALTERPK 'PK_T_BID_EVALSUPPLIERDETAIL_L', 'T_BID_EVALSUPPLIERDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EVALSPDL_FID') CREATE INDEX IDX_EVALSPDL_FID ON T_BID_EVALSUPPLIERDETAIL_L ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
