﻿/**Begin D:\PDM差异生成\PDM_UPGRADE\PDM1\BID_constraint.sql **/
 EXEC P_ALTERPK 'PK_BID_REPORT_DATA', 'T_BID_REPORT_DATA', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORT_PURTYPE') CREATE INDEX IDX_REPORT_PURTYPE ON T_BID_REPORT_DATA ( FPURTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORT_PURMODE') CREATE  CLUSTERED INDEX IDX_REPORT_PURMODE ON T_BID_REPORT_DATA ( FPURMODE );


 EXEC P_ALTERPK 'PK_BID_REPORT_DATA_L', 'T_BID_REPORT_DATA_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORT_L_FID') CREATE  CLUSTERED INDEX IDX_REPORT_L_FID ON T_BID_REPORT_DATA_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORT_L_FLOCALEID') CREATE INDEX IDX_REPORT_L_FLOCALEID ON T_BID_REPORT_DATA_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_BID_REPORT_SECTION', 'T_BID_REPORT_SECTION', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTSEC_FSEQ') CREATE INDEX IDX_REPORTSEC_FSEQ ON T_BID_REPORT_SECTION ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTSEC_FID') CREATE  CLUSTERED INDEX IDX_REPORTSEC_FID ON T_BID_REPORT_SECTION ( FID );


 EXEC P_ALTERPK 'PK_BID_REPORT_SECTION_L', 'T_BID_REPORT_SECTION_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTSECL_ENTRYID') CREATE  CLUSTERED INDEX IDX_REPORTSECL_ENTRYID ON T_BID_REPORT_SECTION_L ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORTSECL_FLOCALEID') CREATE INDEX IDX_REPORTSECL_FLOCALEID ON T_BID_REPORT_SECTION_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_BID_REPORT_SUPPLIER', 'T_BID_REPORT_SUPPLIER', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_SUP_ENTRYID') CREATE  CLUSTERED INDEX IDX_PORT_SUP_ENTRYID ON T_BID_REPORT_SUPPLIER ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_SUP_PROJECTID') CREATE INDEX IDX_PORT_SUP_PROJECTID ON T_BID_REPORT_SUPPLIER ( FPURPROJECTID );


 EXEC P_ALTERPK 'PK_BID_REPORT_SUPPLIER_L', 'T_BID_REPORT_SUPPLIER_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_SUP_DETAILID') CREATE  CLUSTERED INDEX IDX_PORT_SUP_DETAILID ON T_BID_REPORT_SUPPLIER_L ( FDETAILID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_SUP_FLOCALEID') CREATE INDEX IDX_PORT_SUP_FLOCALEID ON T_BID_REPORT_SUPPLIER_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_REPOT_DECISIONSECTION', 'T_REPOT_DECISIONSECTION', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_DECI_FID') CREATE  CLUSTERED INDEX IDX_PORT_DECI_FID ON T_REPOT_DECISIONSECTION ( FID );


 EXEC P_ALTERPK 'PK_REPOT_DECISIONSECTION_L', 'T_REPOT_DECISIONSECTION_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_DEC_ENTRYID') CREATE  CLUSTERED INDEX IDX_PORT_DEC_ENTRYID ON T_REPOT_DECISIONSECTION_L ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_DEC_FLOCALEID') CREATE INDEX IDX_PORT_DEC_FLOCALEID ON T_REPOT_DECISIONSECTION_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_BID_DECISTIONDETAENTRY', 'T_BID_DECISTIONDETAENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_DECI_FENTRYID') CREATE  CLUSTERED INDEX IDX_PORT_DECI_FENTRYID ON T_BID_DECISTIONDETAENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_DECI_FSEQ') CREATE INDEX IDX_PORT_DECI_FSEQ ON T_BID_DECISTIONDETAENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_BID_REPORT_PLANREC', 'T_BID_REPORT_PLANREC', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_CON_FSEQ') CREATE INDEX IDX_PORT_CON_FSEQ ON T_BID_REPORT_PLANREC ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_CON_FID') CREATE  CLUSTERED INDEX IDX_PORT_CON_FID ON T_BID_REPORT_PLANREC ( FID );


 EXEC P_ALTERPK 'PK_BID_REPORT_PLANREC_L', 'T_BID_REPORT_PLANREC_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_PLANL_ENTRYID') CREATE  CLUSTERED INDEX IDX_PORT_PLANL_ENTRYID ON T_BID_REPORT_PLANREC_L ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_PLANL_FLOCALEID') CREATE INDEX IDX_PORT_PLANL_FLOCALEID ON T_BID_REPORT_PLANREC_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_BID_REPORT_PLANANDRECEN', 'T_BID_REPORT_PLANANDRECEN', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_CONPLAN_ENTRYID') CREATE  CLUSTERED INDEX IDX_PORT_CONPLAN_ENTRYID ON T_BID_REPORT_PLANANDRECEN ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PORT_CONPLAN_FSEQ') CREATE INDEX IDX_PORT_CONPLAN_FSEQ ON T_BID_REPORT_PLANANDRECEN ( FSEQ );


 EXEC P_ALTERPK 'PK_BID_REPORT_DATA_A', 'T_BID_REPORT_DATA_A', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REPORT_STATUS') CREATE  CLUSTERED INDEX IDX_REPORT_STATUS ON T_BID_REPORT_DATA_A ( FDECISIONSTATUS );



/**End D:\PDM差异生成\PDM_UPGRADE\PDM1\BID_constraint.sql **/
