﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FTENDERFEE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FTENDERFEE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FDEPOSIT') 
 ALTER TABLE T_BID_PROJECT_A ADD (FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FISDEPOSIT') 
 ALTER TABLE T_BID_PROJECT_A ADD (FISDEPOSIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECTSECTION' AND KSQL_COL_NAME ='FSECDEPOSIT') 
 ALTER TABLE T_BID_PROJECTSECTION ADD (FSECDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY') 
 CREATE TABLE T_BIDPAY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FRESPBUSINESSID VARCHAR(2000) DEFAULT ' ' NOT NULL,
FISOPEN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_BACK') 
 CREATE TABLE T_BIDPAY_BACK (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREASON VARCHAR(1000) DEFAULT ' ' NOT NULL,
FBACKTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_FILE') 
 CREATE TABLE T_BIDPAY_FILE (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ',
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FTYPE VARCHAR(100) DEFAULT ' ',
FPAYLISTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_SECTION') 
 CREATE TABLE T_BIDPAY_SECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_SECTION_L') 
 CREATE TABLE T_BIDPAY_SECTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_SUPPLIERENT') 
 CREATE TABLE T_BIDPAY_SUPPLIERENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATE BIGINT DEFAULT 0 NOT NULL,
FPAYTIME DATETIME,
FSURESUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREALSUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPLAIN VARCHAR(4000) DEFAULT ' ' NOT NULL,
FREASON VARCHAR(1000) DEFAULT ' ' NOT NULL,
FPAYLISTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_DETAIL') 
 CREATE TABLE T_BIDPAY_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO BIGINT DEFAULT 0 NOT NULL,
FPAYLISTIDS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPAYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_LIST') 
 CREATE TABLE T_BIDPAY_LIST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FRESPBUSINESSID VARCHAR(2000) DEFAULT ' ' NOT NULL,
FISOPEN CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(100) DEFAULT ' ' NOT NULL,
FSECTIONNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREALSUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSURESUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYTIME DATETIME,
FCERTIFICATE BIGINT DEFAULT 0 NOT NULL,
FEXPLAIN VARCHAR(4000) DEFAULT ' ' NOT NULL,
FREASON VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BIDPAY_FILE_L') 
 CREATE TABLE T_BIDPAY_FILE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
