﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_TENDERTEMPLATE') 
 CREATE TABLE T_BID_TENDERTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTENDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTDOCURL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTEMPDOCFILEID BIGINT DEFAULT 0 NOT NULL,
FCURRENTDOCNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTITYTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_TENDERTEMPLATE_L') 
 CREATE TABLE T_BID_TENDERTEMPLATE_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ENTRYVARIABLE') 
 CREATE TABLE T_BID_ENTRYVARIABLE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVARIABLEMAP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVARIABLEVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVARIABLEKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FVARIABLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ADJUSTMENTRECORD') 
 CREATE TABLE T_BID_ADJUSTMENTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIDMODE BIGINT DEFAULT 0 NOT NULL,
FENTITYTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTSTEP NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ADJUSTMENTRECORD_L') 
 CREATE TABLE T_BID_ADJUSTMENTRECORD_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FROUND INT DEFAULT 0 NOT NULL,
FCAUSE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCONTENTS NVARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDDINGGROUP_L') 
 CREATE TABLE T_BID_BIDDINGGROUP_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FROUNDS') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FROUNDS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FLISTROUNDS') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FLISTROUNDS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FBIDSTEP') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FBIDSTEP NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FSUPPLIERINVITATIONID') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FSUPPLIERINVITATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FSOURCEBILLSTATUS') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FSOURCEBILLSTATUS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FISDOCCHANGE') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FISDOCCHANGE NVARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FPROANSWERQUESTIONTIME') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FPROANSWERQUESTIONTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FPROBIDOPENDEADLINE') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FPROBIDOPENDEADLINE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FPROBIDEVALUATIONDATE') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FPROBIDEVALUATIONDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLISH' AND KSQL_COL_NAME ='FPROBIDDECISIONDATE') 
 ALTER TABLE T_BID_BIDPUBLISH ADD (FPROBIDDECISIONDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_L' AND KSQL_COL_NAME ='FCAUSE') 
 ALTER TABLE T_BID_PROJECT_L ADD (FCAUSE NVARCHAR(100) DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FROUNDS') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FROUNDS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FLISTROUNDS') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FLISTROUNDS NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FSOURCEBILLID') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FSUPPLIERINVITATIONID') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FSUPPLIERINVITATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FBIDPUBLISHID') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FBIDPUBLISHID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FBIDOPENID') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FBIDOPENID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_ONLINEBIDEVAL' AND KSQL_COL_NAME ='FSOURCEBILLSTATUS') 
 ALTER TABLE T_BID_ONLINEBIDEVAL ADD (FSOURCEBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPINVISUPPDETAIL' AND KSQL_COL_NAME ='FTENDERSTATUS') 
 ALTER TABLE T_BID_SUPPINVISUPPDETAIL ADD (FTENDERSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPINVISUPPDETAIL' AND KSQL_COL_NAME ='FINVALIDFLAG') 
 ALTER TABLE T_BID_SUPPINVISUPPDETAIL ADD (FINVALIDFLAG NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPINVISUPPDETAIL' AND KSQL_COL_NAME ='FISFROMPUBLISH') 
 ALTER TABLE T_BID_SUPPINVISUPPDETAIL ADD (FISFROMPUBLISH NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FBIDEVALUATIONID') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FBIDEVALUATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FSOURCEBILLID') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FSUPPLIERINVITATIONID') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FSUPPLIERINVITATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FBIDPUBLISHID') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FBIDPUBLISHID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FBIDOPENID') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FBIDOPENID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FSOURCEBILLSTATUS') 
 ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FSOURCEBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_INVITATION' AND KSQL_COL_NAME ='FSUPPLIERINVITATIONID') 
 ALTER TABLE T_BID_INVITATION ADD (FSUPPLIERINVITATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT' AND KSQL_COL_NAME ='FCLICKCONTENT') 
 ALTER TABLE T_BID_PROJECT ADD (FCLICKCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDDINGPLAN_L') 
 CREATE TABLE T_BID_BIDDINGPLAN_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FTEMPORALARRANGEMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FROUNDS') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FROUNDS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FLISTROUNDS') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FLISTROUNDS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FBIDSTEP') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FBIDSTEP NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FSOURCEBILLID') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FLISTCURRENTSTEP') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FLISTCURRENTSTEP NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FLISTPROJECTNAME') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FLISTPROJECTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPLIERINVITATION' AND KSQL_COL_NAME ='FSOURCEBILLSTATUS') 
 ALTER TABLE T_BID_SUPPLIERINVITATION ADD (FSOURCEBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDDINGPLAN') 
 CREATE TABLE T_BID_BIDDINGPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBEFORETIME DATETIME,
FAFTERTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FTECHNOLOGYTENDERS') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FTECHNOLOGYTENDERS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FTECHNOLOGYTENDER') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FTECHNOLOGYTENDER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FBUSINESSTENDER') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FBUSINESSTENDER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FBUSINESSTENDERS') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FBUSINESSTENDERS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FCONDOCFILEIDS') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FCONDOCFILEIDS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FCONDOCFILEID') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FCONDOCFILEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FCONDOCNAME') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FCONDOCNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FCONDOCNAMES') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FCONDOCNAMES NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FCONDOCURL') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FCONDOCURL NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FCONDOCURLS') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FCONDOCURLS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDDOCUMENT' AND KSQL_COL_NAME ='FDOCCHANGE') 
 ALTER TABLE T_BID_BIDDOCUMENT ADD (FDOCCHANGE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FROUNDS') 
 ALTER TABLE T_BID_BIDOPEN ADD (FROUNDS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FLISTROUNDS') 
 ALTER TABLE T_BID_BIDOPEN ADD (FLISTROUNDS NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FSOURCEBILLID') 
 ALTER TABLE T_BID_BIDOPEN ADD (FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FSOURCEBILLSTATUS') 
 ALTER TABLE T_BID_BIDOPEN ADD (FSOURCEBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FBIDPUBLISHID') 
 ALTER TABLE T_BID_BIDOPEN ADD (FBIDPUBLISHID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FSUPPLIERINVITATIONID') 
 ALTER TABLE T_BID_BIDOPEN ADD (FSUPPLIERINVITATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FISCARRY') 
 ALTER TABLE T_BID_BIDOPEN ADD (FISCARRY NVARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLSUPPDETAIL' AND KSQL_COL_NAME ='FTENDERSTRATEGY') 
 ALTER TABLE T_BID_BIDPUBLSUPPDETAIL ADD (FTENDERSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDPUBLSUPPDETAIL' AND KSQL_COL_NAME ='FTENDERSTATUS') 
 ALTER TABLE T_BID_BIDPUBLSUPPDETAIL ADD (FTENDERSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
